Sanctions Türkiye
  1. Search Logs
Sanctions Türkiye
  • Health
    • Servis sağlık kontrolü
      GET
  • Auth
    • Kullanıcı girişi
      POST
    • Access token yenile
      POST
    • Aktif oturumu getir
      GET
  • Users
    • Kurum kullanıcılarını listele
      GET
    • Yeni kullanıcı oluştur
      POST
    • Kullanıcı bilgilerini güncelle
      PATCH
    • Kullanıcıyı pasife çek
      DELETE
  • API Keys
    • API anahtarlarını listele
      GET
    • Yeni API anahtarı oluştur
      POST
    • API anahtarını güncelle
      PATCH
    • API anahtarını sil
      DELETE
  • Customers
    • Müşterileri listele
      GET
    • Müşteri oluştur
      POST
    • Müşteri detay
      GET
    • Müşteri güncelle
      PATCH
    • Müşteriyi sil
      DELETE
  • Screenings
    • Screening kayıtlarını listele
      GET
    • Yeni screening başlat
      POST
    • Screening detayını getir
      GET
    • Screening kararını güncelle
      PATCH
  • Search
    • Yaptırım araması (GET)
    • Yaptırım araması (POST)
    • API anahtarı ile arama (GET)
    • API anahtarı ile arama (POST)
  • Search Logs
    • Arama loglarını listele
      GET
    • Arama logu detayı
      GET
  • API Key Logs
    • API key isteklerini listele
    • API key log detayı
  • Schemas
    • Schemas
      • ErrorResponse
      • AuthLoginRequest
      • AuthRefreshRequest
      • AuthSession
      • UserResponse
      • UserCreateRequest
      • UserUpdateRequest
      • ApiKeyResponse
      • ApiKeyCreateRequest
      • ApiKeyUpdateRequest
      • CustomerRequest
      • CustomerResponse
      • PaginatedCustomers
      • ScreeningHit
      • ScreeningRequest
      • ScreeningDecisionRequest
      • ScreeningResponse
      • PaginatedScreenings
      • SearchIdentifier
      • SearchQuery
      • EntityRecord
      • SanctionRecord
      • SearchResultItem
      • SearchResponse
      • SearchLogResponse
      • PaginatedSearchLogs
      • ApiKeyLogResponse
      • PaginatedApiKeyLogs
  1. Search Logs

Arama loglarını listele

GET
/api/search-logs

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200OK
application/json
Arama logları
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.sanctions.tr/api/search-logs?page&pageSize&searchType&hasMatch&apiKeyId&userId' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "items": [
        {
            "_id": "string",
            "institutionId": "string",
            "apiKeyId": "string",
            "userId": "string",
            "searchType": "public",
            "query": {
                "name": "string",
                "type": "person",
                "gender": "string",
                "birthDate": "2019-08-24",
                "nationality": "string",
                "country": "string",
                "identifier": "string",
                "identifiers": [
                    {
                        "type": "string",
                        "value": "string"
                    }
                ],
                "page": 1,
                "pageSize": 1
            },
            "resultCount": 0,
            "hasMatch": true,
            "userAgent": "string",
            "ip": "string",
            "responseTime": 0,
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z"
        }
    ],
    "pagination": {
        "page": 0,
        "pageSize": 0,
        "total": 0,
        "totalPages": 0
    }
}
Modified at 2025-12-18 00:57:05
Previous
API anahtarı ile arama (POST)
Next
Arama logu detayı
Built with